> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get recoverable assets for an address

> Get all recoverable assets (native tokens and tokens) for a deposit address.
This endpoint checks the blockchain and returns balances that can be recovered.
The address's private key must be stored in the system.




## OpenAPI

````yaml /api-reference/openapi.json get /v1/addresses/{addressId}/recoverable-assets
openapi: 3.0.3
info:
  title: XentFi API
  version: 1.0.0
  description: >-
    API documentation for XentFi.The XentFi API gives you access to pretty much
    all the features you can use on our dashboard and lets you extend them for
    use in your application. It strives to be RESTful and is organized around
    the main resources you would be interacting with - with a few notable
    exceptions.
servers:
  - url: https://api.xentfi.com
    description: Development server
security: []
tags: []
paths:
  /v1/addresses/{addressId}/recoverable-assets:
    get:
      tags:
        - Addresses
        - Asset Recovery
      summary: Get recoverable assets for an address
      description: >
        Get all recoverable assets (native tokens and tokens) for a deposit
        address.

        This endpoint checks the blockchain and returns balances that can be
        recovered.

        The address's private key must be stored in the system.
      operationId: getRecoverableAssetsForAddress
      parameters:
        - name: addressId
          in: path
          required: true
          schema:
            type: string
          description: ID of the address to check
          example: addr_123456789
        - name: blockchainId
          in: query
          required: true
          schema:
            type: string
          description: ID of the blockchain to check assets on
          example: 8a864e95-4b86-423d-9ba4-f4e692ec121e
        - name: rpcUrl
          in: query
          required: false
          schema:
            type: string
          description: Custom RPC URL for the blockchain (optional)
          example: https://eth-mainnet.g.alchemy.com/v2/your-key
        - name: tokens
          in: query
          required: false
          schema:
            type: string
          description: Comma-separated list of token addresses to check (optional).
      responses:
        '200':
          description: Recoverable assets retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      native:
                        type: string
                        description: Native token balance of the address
                        example: '1.2345'
                      tokens:
                        type: array
                        description: List of token balances
                        items:
                          type: object
                          properties:
                            address:
                              type: string
                              description: Token contract address
                              example: '0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48'
                            symbol:
                              type: string
                              description: Token symbol
                              example: USDC
                            balance:
                              type: string
                              description: Token balance in human-readable format
                              example: '1500.50'
                            decimals:
                              type: integer
                              description: Token decimals
                              example: 6
                            name:
                              type: string
                              description: Token name
                              example: USD Coin
                            logoUrl:
                              type: string
                              description: URL to token logo
                              example: https://example.com/usdc-logo.png
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
        '403':
          description: Forbidden - Insufficient permissions
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
        '404':
          description: Address not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
      security:
        - ApiKeyAuth: []
          OrgIdAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apiKey
    OrgIdAuth:
      type: apiKey
      in: header
      name: orgId

````